Get TaskAgent Eval Run

Get TaskAgent eval run detail, including verdicts, aggregate metrics, and per-result run metrics when the underlying source rows still exist. Encrypted reference and candidate output snapshots are not exposed.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID
task_agent_idstringRequiredformat: "uuid"
The task agent ID
task_agent_eval_run_idstringRequiredformat: "uuid"
The TaskAgent eval run ID

Response

Successful Response
idstringformat: "uuid"
task_agent_idstringformat: "uuid"
project_idstringformat: "uuid"
candidate_revision_idstringformat: "uuid"
statusenum
Status of a TaskAgent eval run.
pass_countinteger
fail_countinteger
error_countinteger
createdstring
modifiedstring
judge_modelobject
task_agent_run_idslist of stringsRead-only
pass_ratedouble or nullRead-only
eval_set_idstring or nullformat: "uuid"
started_atstring or null
completed_atstring or null
last_activity_atstring or null
error_messagestring or null
created_by_user_idstring or nullformat: "uuid"
metricsobject or null
resultslist of objects

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error